> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User Document

> Creates an OrgFile and Document owned by the caller's own roleInOrg from an uploaded fileKey.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-user-document
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-user-document:
    post:
      operationId: createUserDocument
      summary: Create User Document
      description: >-
        Creates an OrgFile and Document owned by the caller's own roleInOrg from
        an uploaded fileKey.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserDocumentRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUserDocumentResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateUserDocumentRequest:
      type: object
      properties:
        documentType:
          type: string
          enum:
            - WARRANT_AGREEMENT
            - EXERCISE_NOTICE
            - PAYMENT_PROOF
            - GRANT_AGREEMENT
            - EIGHTY_THREE_B_ELECTION
            - EIGHTY_THREE_B_ELECTION_RECIEPT
            - RECIEPTS
            - SETTLEMENT_STATEMENT
            - SECTION_431_ELECTION_EMPLOYEE
            - SECTION_431_ELECTION_EMPLOYER
            - OTHER
        fileKey:
          type: string
      required:
        - documentType
        - fileKey
    CreateUserDocumentResponse:
      type: object
      properties:
        supersededAt:
          type:
            - string
            - 'null'
        documentID:
          type: string
        roleInOrgID:
          type: string
        investorEntityID:
          type:
            - string
            - 'null'
        documentName:
          type: string
        documentDescription:
          type:
            - string
            - 'null'
        documentType:
          type: string
          enum:
            - WARRANT_AGREEMENT
            - EXERCISE_NOTICE
            - PAYMENT_PROOF
            - GRANT_AGREEMENT
            - EIGHTY_THREE_B_ELECTION
            - EIGHTY_THREE_B_ELECTION_RECIEPT
            - RECIEPTS
            - SETTLEMENT_STATEMENT
            - SECTION_431_ELECTION_EMPLOYEE
            - SECTION_431_ELECTION_EMPLOYER
            - OTHER
        fileID:
          type: string
        signedAt:
          type:
            - string
            - 'null'
        archivedAt:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        deletedAt:
          type:
            - string
            - 'null'
        grantID:
          type:
            - string
            - 'null'
        warrantID:
          type:
            - string
            - 'null'
        legacyMigratedAt:
          type:
            - string
            - 'null'
        legacyModelID:
          type:
            - number
            - 'null'
        visibleToRole:
          type: boolean
        visibleToClientAdmin:
          type: boolean
      required:
        - supersededAt
        - documentID
        - roleInOrgID
        - investorEntityID
        - documentName
        - documentDescription
        - documentType
        - fileID
        - signedAt
        - archivedAt
        - createdAt
        - updatedAt
        - deletedAt
        - grantID
        - warrantID
        - legacyMigratedAt
        - legacyModelID
        - visibleToRole
        - visibleToClientAdmin
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
